## golang-github-gin-gonic-gin 1.2+dfsg1

=== debian/changelog ===
golang-github-gin-gonic-gin (1.2+dfsg1-2ubuntu1) bionic; urgency=medium

  * d/patches/0002-only-check-location-header.patch: cherry pick fix for test
    from upstream. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 07 Mar 2018 16:05:02 +1300

golang-github-gin-gonic-gin (1.2+dfsg1-2) unstable; urgency=medium

  * Add patch to fix random failed test
    0001-fix-tests-use-assert.Regep-instead-of-assert.Equal.patch

 -- Shengjing Zhu <i@zhsj.me>  Sat, 19 Aug 2017 20:57:54 +0800

golang-github-gin-gonic-gin (1.2+dfsg1-1) unstable; urgency=medium

  * Initial release (Closes: #865134)

 -- Shengjing Zhu <i@zhsj.me>  Fri, 04 Aug 2017 00:39:04 +0800
