=== debian/control ===
Source: golang-github-gin-gonic-gin
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Shengjing Zhu <i@zhsj.me>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-gin-contrib-sse-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-stretchr-testify-dev,
               golang-github-ugorji-go-codec-dev,
               golang-golang-x-net-dev,
               golang-gopkg-go-playground-validator.v8-dev,
               golang-gopkg-yaml.v2-dev,
               golang-goprotobuf-dev
Standards-Version: 4.0.0
Homepage: https://github.com/gin-gonic/gin
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-gin-gonic-gin.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-gin-gonic-gin.git
XS-Go-Import-Path: github.com/gin-gonic/gin
Testsuite: autopkgtest-pkg-go

Package: golang-github-gin-gonic-gin-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-gin-contrib-sse-dev,
         golang-github-mattn-go-isatty-dev,
         golang-github-ugorji-go-codec-dev,
         golang-gopkg-go-playground-validator.v8-dev,
         golang-gopkg-yaml.v2-dev,
         golang-goprotobuf-dev
Description: HTTP web framework written in Go
 Gin is a web framework written in Go (Golang). It features a martini-like API
 with much better performance, up to 40 times faster thanks to httprouter. If
 you need performance and good productivity, you will love Gin.
