## golang-github-gin-gonic-gin 1.3.0+dfsg1

=== debian/changelog ===
golang-github-gin-gonic-gin (1.3.0+dfsg1-3) unstable; urgency=medium

  * Team upload.
  * Build-Depend on tzdata (closes: #911912)

 -- Paride Legovini <pl@ninthfloor.org>  Thu, 08 Nov 2018 21:47:42 +0000

golang-github-gin-gonic-gin (1.3.0+dfsg1-2) unstable; urgency=medium

  * Add patch to change listen port of test server.
    Fix ftbfs on buildd.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 18 Sep 2018 12:42:55 +0800

golang-github-gin-gonic-gin (1.3.0+dfsg1-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Shengjing Zhu ]
  * New upstream release 1.3.0+dfsg1.
    + Fix TestRouterNotFound. (Closes: #890924)
  * Remove patches applied in new version.
  * New copyright holder in new upstream release.
  * update debhelper and compat to 11
  * update Standards-Version to 4.2.1, change Priority to optional
  * d/control: change team email address to tracker.d.o
  * Update my email address to zhsj@debian.org.

 -- Shengjing Zhu <zhsj@debian.org>  Tue, 18 Sep 2018 11:18:24 +0800
