=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: golang-github-gin-gonic-gin
 Section: devel
-Priority: extra
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
-Uploaders: Shengjing Zhu <i@zhsj.me>
-Build-Depends: debhelper (>= 10),
+Priority: optional
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Shengjing Zhu <zhsj@debian.org>
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
                golang-github-gin-contrib-sse-dev,
@@ -13,11 +13,12 @@
                golang-golang-x-net-dev,
                golang-gopkg-go-playground-validator.v8-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-goprotobuf-dev
-Standards-Version: 4.0.0
+               golang-goprotobuf-dev,
+               tzdata <!nocheck>
+Standards-Version: 4.2.1
 Homepage: https://github.com/gin-gonic/gin
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-gin-gonic-gin.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-gin-gonic-gin.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-gin-gonic-gin
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-gin-gonic-gin.git
 XS-Go-Import-Path: github.com/gin-gonic/gin
 Testsuite: autopkgtest-pkg-go
