=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%golang-github-gin-gonic-gin-$1.tar.gz%, \
   dversionmangle=s/\+dfsg(\d+)?//,repacksuffix=+dfsg1" \
   https://github.com/gin-gonic/gin/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
