=== debian/changelog ===
golang-github-gin-gonic-gin (1.6.3-3) unstable; urgency=medium

  * Don't fail the test suite in case TestPathCleanMallocs fails, this
    test seems flaky:
     + 0003-avoid-failures-on-flaky-test.patch

 -- Cyril Brulebois <cyril@debamax.com>  Sun, 10 Jan 2021 06:21:12 +0000

golang-github-gin-gonic-gin (1.6.3-2) unstable; urgency=medium

  * Backport upstream fix for 32-bit architectures: request parsing a
    64-bit integer explicitly to avoid depending on the host's bit size:
     + 0002-binding-avoid-2038-problem-on-32-bit-architectures.patch

 -- Cyril Brulebois <cyril@debamax.com>  Sat, 09 Jan 2021 18:50:03 +0000

golang-github-gin-gonic-gin (1.6.3-1) unstable; urgency=medium

  * New upstream release.
  * Stop repacking upstream sources: all examples have been moved to a
    separate repository.
  * Delete patch changing listening port of test server:
     - It doesn't apply any longer.
     - It switched the listening port from 8888 to 9888.
     - gin_integration_test now uses 3123 by default. If this fails on
       buildds, it can be adjusted then.
  * Replace golang-gopkg-go-playground-validator.v8-dev with
    golang-github-go-playground-validator-v10-dev in (Build-)Depends.
  * Pass --builddirectory=_build to dh, to have the same build directory
    on all architectures.
  * Add patch to make the test (UNIX) socket location configurable: it's
    not really OK to write outside the build directory (/tmp), especially
    if one is leaving the test socket behind.
  * Set TEST_SOCKET_DIR to the build directory for the dh_auto_test call,
    leveraging the aforementioned patch.
  * Refresh copyright information.

 -- Cyril Brulebois <cyril@debamax.com>  Fri, 08 Jan 2021 22:10:19 +0000
