=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
                dh-golang,
                golang-any,
                golang-github-gin-contrib-sse-dev,
+               golang-github-go-playground-validator-v10-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-stretchr-testify-dev,
                golang-github-ugorji-go-codec-dev,
                golang-golang-x-net-dev,
-               golang-gopkg-go-playground-validator.v8-dev,
                golang-gopkg-yaml.v2-dev,
                golang-goprotobuf-dev,
                tzdata <!nocheck>
@@ -27,9 +27,9 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          golang-github-gin-contrib-sse-dev,
+         golang-github-go-playground-validator-v10-dev,
          golang-github-mattn-go-isatty-dev,
          golang-github-ugorji-go-codec-dev,
-         golang-gopkg-go-playground-validator.v8-dev,
          golang-gopkg-yaml.v2-dev,
          golang-goprotobuf-dev
 Description: HTTP web framework written in Go
