=== debian/changelog ===
golang-github-gin-gonic-gin (1.8.1-2) unstable; urgency=medium

  * Team Upload.
  * Add golang-golang-x-net-dev to Depends (Closes: #1054845)

 -- Nilesh Patra <nilesh@debian.org>  Tue, 31 Oct 2023 03:58:21 +0530

golang-github-gin-gonic-gin (1.8.1-1) unstable; urgency=medium

  * New upstream release.
  * Delete patches:
     - 0001-adjust-test-parameters.patch: no longer needed, the relevant
       tests have been marked as legacy and commented out.
     - 0002-binding-avoid-2038-problem-on-32-bit-architectures.patch: no
       longer needed (backported from upstream master at the time).
     - 0004-fix-test-failure-with-go-1.17.patch: merged upstream.
  * Add patch:
     - 0004-test-suite-add-support-for-Go-1.19.patch: cherry-pick bits
       from https://github.com/gin-gonic/gin/pull/3272 to add support for
       Go 1.19.
  * Update (Build-|)Depends:
     - Add golang-github-pelletier-go-toml.v2-dev
     - Replace golang-goprotobuf-dev with golang-google-protobuf-dev

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 13 Oct 2022 18:27:57 +0000

golang-github-gin-gonic-gin (1.6.3-4) unstable; urgency=medium

  * Team upload.

  [ William 'jawn-smith' Wilson ]
  * Cherry Pick upstream patch that fixes FTBFS with Go 1.17
    (Closes: 994254)

 -- Michael Hudson-Doyle <mwhudson@debian.org>  Thu, 16 Sep 2021 11:55:49 +1200
