=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                golang-github-gin-contrib-sse-dev,
                golang-github-go-playground-validator-v10-dev,
                golang-github-mattn-go-isatty-dev,
+               golang-github-pelletier-go-toml.v2-dev,
                golang-github-stretchr-testify-dev,
                golang-github-ugorji-go-codec-dev,
                golang-golang-x-net-dev,
                golang-gopkg-yaml.v2-dev,
-               golang-goprotobuf-dev,
+               golang-google-protobuf-dev,
                tzdata <!nocheck>
 Standards-Version: 4.2.1
 Homepage: https://github.com/gin-gonic/gin
@@ -29,9 +30,11 @@
          golang-github-gin-contrib-sse-dev,
          golang-github-go-playground-validator-v10-dev,
          golang-github-mattn-go-isatty-dev,
+         golang-github-pelletier-go-toml.v2-dev,
          golang-github-ugorji-go-codec-dev,
+         golang-golang-x-net-dev,
          golang-gopkg-yaml.v2-dev,
-         golang-goprotobuf-dev
+         golang-google-protobuf-dev
 Description: HTTP web framework written in Go
  Gin is a web framework written in Go (Golang). It features a martini-like API
  with much better performance, up to 40 times faster thanks to httprouter. If
